Authorization
All requests to the API must include a valid access token.
If you already have your client_id and client_secret, you can obtain an access token from our authentication service by running the following command:
curl --request POST \
--url https://login.gcmu.net/oauth/token \
--header 'content-type: application/json' \
--data '{
"client_id": "<CLIENT_ID>",
"client_secret": "<CLIENT_SECRET>",
"audience": "registry-core-prod",
"grant_type": "client_credentials"
}'
Once you’ve obtained a token, include it in every API request using the standard Authorization header:
curl https://api.gcmu.net/<path> \
-H "Authorization: Bearer <your_token_here>"
Sandbox
A sandbox environment is also available for testing. To target it, use https://sandbox.api.gcmu.net as the base URL instead.
Note that the client_id and client_secret must belong to the sandbox tenant, production credentials will not work.